# pandas.Period.qyear

`Period.``qyear`

  Fiscal year the Period lies in according to its starting-quarter.

  The year and the qyear of the period will be the same if the fiscal and calendar years are the same. When they are not, the fiscal year can be different from the calendar year of the period.

  Returns:

  int

  > The fiscal year of the period.

  See also

  `Period.year`
    Return the calendar year of the period.

  Examples

  If the natural and fiscal year are the same, qyear and year will be the same.

      >>> per = pd.Period('2018Q1', freq='Q')
      >>> per.qyear
      2018
      >>> per.year
      2018

  If the fiscal year starts in April (Q-MAR), the first quarter of 2018 will start in April 2017. year will then be 2018, but qyear will be the fiscal year, 2018.

      >>> per = pd.Period('2018Q1', freq='Q-MAR')
      >>> per.start_time
      Timestamp('2017-04-01 00:00:00')
      >>> per.qyear
      2018
      >>> per.year
      2017

Scroll To Top